Subject: Re: net-next-2.6 phonet causes build error

From: Eric Dumazet <[email-masked]>
Date: Mon, 27 Jul 2009 10:09:24 +0200

Rémi Denis-Courmont a écrit :
> On Monday 27 July 2009 10:03:06 ext Eric Dumazet wrote:
>> Rémi Denis-Courmont a écrit :
>>> On Sunday 26 July 2009 21:43:11 ext Oliver Hartkopp wrote:
>>>> i got this build error from the latest net-next-2.6:
>>>>
>>>> net/phonet/pn_dev.c: In function ‘phonet_init_net’:
>>>> net/phonet/pn_dev.c:221: error: implicit declaration of function
>>>> ‘proc_net_fops_create’
>>>> net/phonet/pn_dev.c: In function ‘phonet_exit_net’:
>>>> net/phonet/pn_dev.c:242: error: implicit declaration of function
>>>> ‘proc_net_remove’
>>> Oops. This makes me wonder why I did not get that one here on my test
>>> builds???
>> I also have this warning :
>>
>> net/phonet/pn_dev.c: In function `phonet_device_get':
>> net/phonet/pn_dev.c:99: warning: 'dev' might be used uninitialized in this
>> function
> 
> Right. This is indeed a bug - thanks. Either my gcc version is bad at that 
> stuff or I have missing debug options :(
> 

I currently use gcc-3.4.6, and current net-next-2.6 doesnt compile for me
(but linux-2.6 does compile properly so I just know this is already fixed upstream)

  UPD     include/linux/compile.h
  CC      init/version.o
  LD      init/built-in.o
  LD      .tmp_vmlinux1
drivers/built-in.o(.text+0x86b17): In function `igdng_compute_m_n':
: undefined reference to `__udivdi3'
drivers/built-in.o(.init.text+0x3c44): In function `con_init':
: undefined reference to `.L1443'
make: *** [.tmp_vmlinux1] Erreur 1

No problem with gcc-4.4.0